Create
cancel
Showing results for 
Search instead for 
Did you mean: 
Sign up Log in
It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Upgrade from Service Desk to Service Management failed with errors

Edited

Hello,

i updated jira this weekend and also updated our Service Desk. I moved from the last ServiceDesk Version to the new Service Management 4.20.1. The problem is now, that i cannot answer any Tickets. I can see them and i can resolve them but i cannot answer them. New Tickets will be put in place as well. 

On the other hand i cannot configure Service Management. The configuration page is blank. When i switch to E-Mail it gives error and sais "html parsing could not be actualised, please reload the page" But after the reload those problems still occur. 

What have i done wrong? The logs shows no Problems at all. Where have i done a mistake? 

Thanks for any help.

As i figured out now the update migrations is not working and i get some errors in the jira.log:

 

2021-11-15 18:28:57,918+0100 JIRA-Bootstrap INFO [c.a.plugin.manager.DefaultPluginManager] Plugin system earlyStartup begun
2021-11-15 18:28:58,122+0100 JIRA-Bootstrap INFO [c.a.c.e.c.a.j.i.c.manager.CachedOptionsManager.optionsCache] Cache com.atlassian.jira.issue.customfields.manager.CachedOptionsManager.optionsCache was flushed
2021-11-15 18:28:58,122+0100 JIRA-Bootstrap INFO [c.a.c.e.c.a.j.i.c.manager.CachedOptionsManager.optionCache] Cache com.atlassian.jira.issue.customfields.manager.CachedOptionsManager.optionCache was flushed
2021-11-15 18:28:58,122+0100 JIRA-Bootstrap INFO [c.a.c.e.c.a.j.i.c.manager.CachedOptionsManager.parentCache] Cache com.atlassian.jira.issue.customfields.manager.CachedOptionsManager.parentCache was flushed
2021-11-15 18:28:58,123+0100 JIRA-Bootstrap INFO [c.a.c.e.c.a.j.i.c.manager.CachedOptionsManager.valueCache] Cache com.atlassian.jira.issue.customfields.manager.CachedOptionsManager.valueCache was flushed
2021-11-15 18:28:58,123+0100 JIRA-Bootstrap INFO [c.a.c.e.c.a.j.i.c.manager.CachedOptionsManager.allCache] Cache com.atlassian.jira.issue.customfields.manager.CachedOptionsManager.allCache was flushed
2021-11-15 18:28:58,131+0100 JIRA-Bootstrap INFO [c.a.jira.template.DefaultTemplateValidationConfigProvider] Started parsing of email-templates-to-validate.xml
2021-11-15 18:28:58,177+0100 JIRA-Bootstrap INFO [c.a.jira.template.DefaultTemplateValidationConfigProvider] Parsed 32 template configs
2021-11-15 18:28:58,261+0100 JIRA-Bootstrap INFO [c.a.jira.cluster.ClusterSettings] [CLUSTER-STATE] Value for system property key jira.cluster.retention.period.in.days was set to PT48H
2021-11-15 18:29:01,586+0100 FelixStartLevel WARN [o.e.g.b.e.internal.support.ExtenderConfiguration] Gemini Blueprint extensions bundle not present, annotation processing disabled.
2021-11-15 18:29:09,982+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPluginInstalledHelper] Cannot determine required plugins, cannot resolve bundle 'com.atlassian.servicedesk.application'
2021-11-15 18:29:09,983+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPluginInstalledHelper] Cannot determine required plugins, cannot resolve bundle 'com.atlassian.servicedesk.frontend-webpack-plugin'
2021-11-15 18:29:10,008+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPluginInstalledHelper] Cannot determine required plugins, cannot resolve bundle 'com.atlassian.servicedesk.project-ui'
2021-11-15 18:29:10,023+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPluginInstalledHelper] Cannot determine required plugins, cannot resolve bundle 'com.atlassian.servicedesk.servicedesk-knowledge-base-plugin'
2021-11-15 18:29:10,036+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPluginInstalledHelper] Cannot determine required plugins, cannot resolve bundle 'com.atlassian.servicedesk.servicedesk-notifications-plugin'
2021-11-15 18:29:10,037+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPluginInstalledHelper] Cannot determine required plugins, cannot resolve bundle 'com.atlassian.servicedesk.servicedesk-reports-plugin'
2021-11-15 18:29:14,824+0100 ThreadPoolAsyncTaskExecutor::Thread 3 WARN [c.a.j.cache.request.RequestCacheRecorderImpl] Invalid use of RequestCache by thread: ThreadPoolAsyncTaskExecutor::Thread.Incorrect usage of JIRA API. You can only create/use: RequestCacheImpl inside a context (request or Jira-Thread-Local). Check: JiraThreadLocalUtil for details. This message will be logged once per thread.
2021-11-15 18:29:23,936+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPlugin] Detected an error (BundleException) enabling the plugin 'com.atlassian.servicedesk.application' : Unable to resolve com.atlassian.servicedesk.application [195](R 195.0): missing requirement [com.atlassian.servicedesk.application [195](R 195.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.plugins.kb.internal.obr.install) [caused by: Unable to resolve com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0): missing requirement [com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)] Unresolved requirements: [[com.atlassian.servicedesk.application [195](R 195.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.plugins.kb.internal.obr.install)]. This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN
2021-11-15 18:29:23,936+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Unable to enable plugin 'com.atlassian.servicedesk.application'
2021-11-15 18:29:23,937+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Because of this exception
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.servicedesk.application
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:424)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:258)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:120)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:97)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$enableDependentPlugins$22(DefaultPluginManager.java:1235)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1219)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$addPlugins$20(DefaultPluginManager.java:1204)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1104)
at com.atlassian.jira.plugin.JiraPluginManager.addPlugins(JiraPluginManager.java:157)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$earlyStartup$3(DefaultPluginManager.java:583)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:518)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:119)
at com.atlassian.jira.component.pico.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:669)
at com.atlassian.jira.component.pico.ComponentManager.earlyStartPluginSystem(ComponentManager.java:238)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:45)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:143)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:307)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:202)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:135)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:102)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:100)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:154)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.osgi.framework.BundleException: Unable to resolve com.atlassian.servicedesk.application [195](R 195.0): missing requirement [com.atlassian.servicedesk.application [195](R 195.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.plugins.kb.internal.obr.install) [caused by: Unable to resolve com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0): missing requirement [com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)] Unresolved requirements: [[com.atlassian.servicedesk.application [195](R 195.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.plugins.kb.internal.obr.install)]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)
at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:405)
2021-11-15 18:29:23,956+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPlugin] Detected an error (BundleException) enabling the plugin 'com.atlassian.servicedesk.frontend-webpack-plugin' : Unable to resolve com.atlassian.servicedesk.frontend-webpack-plugin [198](R 198.0): missing requirement [com.atlassian.servicedesk.frontend-webpack-plugin [198](R 198.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.portalvote.settings) Unresolved requirements: [[com.atlassian.servicedesk.frontend-webpack-plugin [198](R 198.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.portalvote.settings)]. This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN
2021-11-15 18:29:23,956+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Unable to enable plugin 'com.atlassian.servicedesk.frontend-webpack-plugin'
2021-11-15 18:29:23,956+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Because of this exception
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.servicedesk.frontend-webpack-plugin
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:424)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:258)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:120)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:97)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$enableDependentPlugins$22(DefaultPluginManager.java:1235)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1219)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$addPlugins$20(DefaultPluginManager.java:1204)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1104)
at com.atlassian.jira.plugin.JiraPluginManager.addPlugins(JiraPluginManager.java:157)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$earlyStartup$3(DefaultPluginManager.java:583)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:518)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:119)
at com.atlassian.jira.component.pico.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:669)
at com.atlassian.jira.component.pico.ComponentManager.earlyStartPluginSystem(ComponentManager.java:238)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:45)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:143)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:307)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:202)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:135)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:102)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:100)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:154)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.osgi.framework.BundleException: Unable to resolve com.atlassian.servicedesk.frontend-webpack-plugin [198](R 198.0): missing requirement [com.atlassian.servicedesk.frontend-webpack-plugin [198](R 198.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.portalvote.settings) Unresolved requirements: [[com.atlassian.servicedesk.frontend-webpack-plugin [198](R 198.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.portalvote.settings)]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)
at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:405)
2021-11-15 18:29:23,992+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPlugin] Detected an error (BundleException) enabling the plugin 'com.atlassian.servicedesk.project-ui' : Unable to resolve com.atlassian.servicedesk.project-ui [205](R 205.0): missing requirement [com.atlassian.servicedesk.project-ui [205](R 205.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud) Unresolved requirements: [[com.atlassian.servicedesk.project-ui [205](R 205.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)]. This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN
2021-11-15 18:29:23,998+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Unable to enable plugin 'com.atlassian.servicedesk.project-ui'
2021-11-15 18:29:23,998+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Because of this exception
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.servicedesk.project-ui
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:424)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:258)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:120)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:97)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$enableDependentPlugins$22(DefaultPluginManager.java:1235)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1219)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$addPlugins$20(DefaultPluginManager.java:1204)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1104)
at com.atlassian.jira.plugin.JiraPluginManager.addPlugins(JiraPluginManager.java:157)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$earlyStartup$3(DefaultPluginManager.java:583)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:518)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:119)
at com.atlassian.jira.component.pico.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:669)
at com.atlassian.jira.component.pico.ComponentManager.earlyStartPluginSystem(ComponentManager.java:238)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:45)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:143)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:307)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:202)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:135)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:102)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:100)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:154)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.osgi.framework.BundleException: Unable to resolve com.atlassian.servicedesk.project-ui [205](R 205.0): missing requirement [com.atlassian.servicedesk.project-ui [205](R 205.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud) Unresolved requirements: [[com.atlassian.servicedesk.project-ui [205](R 205.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)
at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:405)
2021-11-15 18:29:24,088+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPlugin] Detected an error (BundleException) enabling the plugin 'com.atlassian.servicedesk.servicedesk-knowledge-base-plugin' : Unable to resolve com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0): missing requirement [com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud) Unresolved requirements: [[com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)]. This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN
2021-11-15 18:29:24,088+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Unable to enable plugin 'com.atlassian.servicedesk.servicedesk-knowledge-base-plugin'
2021-11-15 18:29:24,088+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Because of this exception
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.servicedesk.servicedesk-knowledge-base-plugin
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:424)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:258)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:120)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:97)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$enableDependentPlugins$22(DefaultPluginManager.java:1235)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1219)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$addPlugins$20(DefaultPluginManager.java:1204)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1104)
at com.atlassian.jira.plugin.JiraPluginManager.addPlugins(JiraPluginManager.java:157)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$earlyStartup$3(DefaultPluginManager.java:583)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:518)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:119)
at com.atlassian.jira.component.pico.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:669)
at com.atlassian.jira.component.pico.ComponentManager.earlyStartPluginSystem(ComponentManager.java:238)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:45)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:143)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:307)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:202)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:135)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:102)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:100)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:154)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.osgi.framework.BundleException: Unable to resolve com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0): missing requirement [com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud) Unresolved requirements: [[com.atlassian.servicedesk.servicedesk-knowledge-base-plugin [208](R 208.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)
at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:405)
2021-11-15 18:29:24,113+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPlugin] Detected an error (BundleException) enabling the plugin 'com.atlassian.servicedesk.servicedesk-notifications-plugin' : Unable to resolve com.atlassian.servicedesk.servicedesk-notifications-plugin [211](R 211.0): missing requirement [com.atlassian.servicedesk.servicedesk-notifications-plugin [211](R 211.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.project.advanced.auditing) Unresolved requirements: [[com.atlassian.servicedesk.servicedesk-notifications-plugin [211](R 211.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.project.advanced.auditing)]. This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN
2021-11-15 18:29:24,113+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Unable to enable plugin 'com.atlassian.servicedesk.servicedesk-notifications-plugin'
2021-11-15 18:29:24,113+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Because of this exception
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.servicedesk.servicedesk-notifications-plugin
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:424)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:258)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:120)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:97)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$enableDependentPlugins$22(DefaultPluginManager.java:1235)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1219)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$addPlugins$20(DefaultPluginManager.java:1204)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1104)
at com.atlassian.jira.plugin.JiraPluginManager.addPlugins(JiraPluginManager.java:157)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$earlyStartup$3(DefaultPluginManager.java:583)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:518)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:119)
at com.atlassian.jira.component.pico.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:669)
at com.atlassian.jira.component.pico.ComponentManager.earlyStartPluginSystem(ComponentManager.java:238)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:45)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:143)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:307)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:202)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:135)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:102)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:100)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:154)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.osgi.framework.BundleException: Unable to resolve com.atlassian.servicedesk.servicedesk-notifications-plugin [211](R 211.0): missing requirement [com.atlassian.servicedesk.servicedesk-notifications-plugin [211](R 211.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.project.advanced.auditing) Unresolved requirements: [[com.atlassian.servicedesk.servicedesk-notifications-plugin [211](R 211.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.project.advanced.auditing)]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)
at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:405)
2021-11-15 18:29:24,115+0100 JIRA-Bootstrap ERROR [c.a.p.osgi.factory.OsgiPlugin] Detected an error (BundleException) enabling the plugin 'com.atlassian.servicedesk.servicedesk-reports-plugin' : Unable to resolve com.atlassian.servicedesk.servicedesk-reports-plugin [212](R 212.0): missing requirement [com.atlassian.servicedesk.servicedesk-reports-plugin [212](R 212.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud) Unresolved requirements: [[com.atlassian.servicedesk.servicedesk-reports-plugin [212](R 212.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)]. This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN
2021-11-15 18:29:24,116+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Unable to enable plugin 'com.atlassian.servicedesk.servicedesk-reports-plugin'
2021-11-15 18:29:24,116+0100 JIRA-Bootstrap WARN [c.a.plugin.impl.AbstractPlugin] Because of this exception
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.servicedesk.servicedesk-reports-plugin
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:424)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:258)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:120)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:97)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$enableDependentPlugins$22(DefaultPluginManager.java:1235)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1219)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$addPlugins$20(DefaultPluginManager.java:1204)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1104)
at com.atlassian.jira.plugin.JiraPluginManager.addPlugins(JiraPluginManager.java:157)
at com.atlassian.plugin.manager.DefaultPluginManager.lambda$earlyStartup$3(DefaultPluginManager.java:583)
at com.atlassian.plugin.manager.PluginTransactionContext.wrap(PluginTransactionContext.java:63)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:518)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:119)
at com.atlassian.jira.component.pico.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:669)
at com.atlassian.jira.component.pico.ComponentManager.earlyStartPluginSystem(ComponentManager.java:238)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:45)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:143)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:307)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:202)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:135)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:102)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:100)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:154)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.osgi.framework.BundleException: Unable to resolve com.atlassian.servicedesk.servicedesk-reports-plugin [212](R 212.0): missing requirement [com.atlassian.servicedesk.servicedesk-reports-plugin [212](R 212.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud) Unresolved requirements: [[com.atlassian.servicedesk.servicedesk-reports-plugin [212](R 212.0)] osgi.wiring.package; (osgi.wiring.package=com.atlassian.servicedesk.internal.api.knowledgebase.cloud)]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)
at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:405)

2 answers

So with what i have reserched now the problem seems to be the plugin atlassian service desk canned response plugin. In my settings the plugin is not started and the modules seem to be off. In the logs i got those messages:

2021-11-15 13:51:52,869+0100 Spring DM Context Creation Timer ERROR [c.a.p.osgi.factory.OsgiPlugin] Plugin 'com.atlassian.servicedesk.servicedesk-canned-responses-plugin' never resolved service '&wikiMarkupContentRenderer' with filter '(&(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.rendering.wiki.WikiMarkupContentRenderer)(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.rendering.wiki.WikiMarkupContentRenderer))'
2021-11-15 13:51:52,869+0100 Spring DM Context Creation Timer ERROR [c.a.p.osgi.factory.OsgiPlugin] Plugin 'com.atlassian.servicedesk.servicedesk-canned-responses-plugin' never resolved service '&availableVariableManager' with filter '(&(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.variables.AvailableVariableManager)(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.variables.AvailableVariableManager))'
2021-11-15 13:51:52,869+0100 Spring DM Context Creation Timer ERROR [c.a.p.osgi.factory.OsgiPlugin] Plugin 'com.atlassian.servicedesk.servicedesk-canned-responses-plugin' never resolved service '&substitutionContextManager' with filter '(&(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.context.SubstitutionContextManager)(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.context.SubstitutionContextManager))'
2021-11-15 13:51:52,869+0100 Spring DM Context Creation Timer ERROR [c.a.p.osgi.factory.OsgiPlugin] Unable to start the plugin container for plugin 'com.atlassian.servicedesk.servicedesk-canned-responses-plugin'
org.springframework.context.ApplicationContextException: Application context initialization for 'com.atlassian.servicedesk.servicedesk-canned-responses-plugin' has timed out waiting for (|(&(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.context.SubstitutionContextManager)(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.context.SubstitutionContextManager))(&(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.rendering.wiki.WikiMarkupContentRenderer)(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.rendering.wiki.WikiMarkupContentRenderer))(&(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.variables.AvailableVariableManager)(objectClass=com.atlassian.servicedesk.plugins.variablesubstitution.internal.api.variables.AvailableVariableManager)))

Here are two screenshots so you maybe understand better my problems. I tried to sign in with different browsers and inkognito tabs. But still the same issue. I also checked the permissions in the service managment app for users and groups to answer. I also took them out and reset them. But still can not answer the tickets.

 

AKXWra9Fr0.pngchrome_STXxtUdY0t.png

Suggest an answer

Log in or Sign up to answer
DEPLOYMENT TYPE
SERVER
VERSION
8.20.1
TAGS
Community showcase
Published in Jira Service Management

JSM Jira Automation: How to Send SLA Breached Notifications

Hi Everyone, In   this tutorial,  we will show you how you can monitor an SLA, and send notifications before or after the SLA has been breached.   SLA Threshold Trigger The SLA t...

770 views 5 13
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you